Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IGLQuadMatrix

    java.lang.Object
      igeo.gui.IGLElement
          igeo.gui.IGLQuadMatrix

    public class IGLQuadMatrix

extends IGLElement

Objectified OpenGL drawing process of matrix of quad geometries by quad strips.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`int` | `height`
`int` | `width`

Fields inherited from class igeo.gui.IGLElement
`normal, pts, tmpNormal, tmpPts`

Constructor Summary
`IGLQuadMatrix()`
`IGLQuadMatrix(int width, int height)`
`IGLQuadMatrix(IVec[][] ptmatrix)`
`IGLQuadMatrix(IVec[][] ptmatrix, IVec[][] normalMatrix)`

Method Summary
`void` | `draw(javax.media.opengl.GL gl)`
`int` | `height()`
`void` | `setPoint(int x, int y, IVec pt)`
`void` | `setPoint(int x, int y, IVec pt, IVec nrm)`
`int` | `width()`

Methods inherited from class igeo.gui.IGLElement
`addPoint, addPoint, drawPoints, finalizePoint, getNum, num, setNormal, setNormal, setNormalNum, setPoint, setPoint, setPointNum`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    public int width

### height

    public int height

Constructor Detail

### IGLQuadMatrix

    public IGLQuadMatrix()

### IGLQuadMatrix

    public IGLQuadMatrix(int width,
                         int height)

### IGLQuadMatrix

    public IGLQuadMatrix(IVec[][] ptmatrix)

### IGLQuadMatrix

    public IGLQuadMatrix(IVec[][] ptmatrix,
                         IVec[][] normalMatrix)

Method Detail

### width

    public int width()

### height

    public int height()

### setPoint

    public void setPoint(int x,
                         int y,
                         IVec pt)

### setPoint

    public void setPoint(int x,
                         int y,
                         IVec pt,
                         IVec nrm)

### draw

    public void draw(javax.media.opengl.GL gl)

  Specified by:
    `draw` in class `IGLElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD